Overview | Package | Class | Tree | Deprecated | Index | Help
| TIBCO Enterprise Message Service
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.tibjms.admin.hawk
Class HawkListener

    java.lang.Object
      com.tibco.tibjms.admin.hawk.HawkListener

Direct Known Subclasses:
  HawkController

    public class HawkListener

extends java.lang.Object

HawkListener runs inside a Hawk Agent to provide monitoring of an EMS server.

Constructor Summary
`HawkListener()`

Method Summary
`COM.TIBCO.hawk.talon.MicroAgentDescriptor` | `describeMicroAgent()` Part of interface with Hawk Agent engine.
`TabularData` | `getChannels()` List multicast channel statistics on EMS server
`TabularData` | `getCMLedgerInfo(java.lang.String transport, java.lang.String subjPattern)` List CM ledger statistics on EMS server.
`TabularData` | `getConnections()` List connections to EMS server.
`TabularData` | `getConsumers()` List consumers on EMS server.
`TabularData` | `getDbStores()` List database stores on EMS server
`TabularData` | `getDurables(java.lang.String regexp)` Deprecated. Because TibjmsAdmin.getDurables() is deprecated. Use getConsumers instead.
`TabularData` | `getFileStores()` List file stores on EMS server
`TabularData` | `getListenPorts()` List ports on EMS server.
`CompositeData` | `getNumConnections()` Get number of connections from EMS server.
`TabularData` | `getProducers()` List producers on EMS server
`TabularData` | `getQueues(java.lang.String regexp)` List queues on EMS server.
`TabularData` | `getRoutes()` List routes configured on EMS server.
`CompositeData` | `getServerInfo()` Get general info about EMS server.
`TabularData` | `getStores()` List stores on EMS server
`TabularData` | `getTopics(java.lang.String regexp)` List topics on EMS server.
`CompositeData` | `getTransport(java.lang.String name)` List Transport statistics on EMS server
`TabularData` | `getTransports()` List Transport statistics on EMS server
`TabularData` | `getUsers()` List users of EMS server.
`void` | `initializeMicroAgent(java.lang.String[] args)` Part of interface with Hawk Agent engine.
`CompositeData` | `isRunning()` Is EMS server running.
`void` | `thisMicroAgentAdded(COM.TIBCO.hawk.talon.MicroAgentID id)` Part of interface with Hawk Agent engine.
`void` | `thisMicroAgentRemoved()` Part of interface with Hawk Agent engine.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HawkListener

    public HawkListener()

Method Detail

### describeMicroAgent

    public COM.TIBCO.hawk.talon.MicroAgentDescriptor describeMicroAgent()
                                                                 throws COM.TIBCO.hawk.talon.MicroAgentException

  Part of interface with Hawk Agent engine.

  Throws:
    `COM.TIBCO.hawk.talon.MicroAgentException`

### thisMicroAgentRemoved

    public void thisMicroAgentRemoved()

  Part of interface with Hawk Agent engine.

### thisMicroAgentAdded

    public void thisMicroAgentAdded(COM.TIBCO.hawk.talon.MicroAgentID id)

  Part of interface with Hawk Agent engine.

### initializeMicroAgent

    public void initializeMicroAgent(java.lang.String[] args)
                              throws COM.TIBCO.hawk.talon.MicroAgentException

  Part of interface with Hawk Agent engine. The user, passwd, and url arguments are passed in here.

  Throws:
    `COM.TIBCO.hawk.talon.MicroAgentException`

### isRunning

    public CompositeData isRunning()
                            throws MicroAgentException

  Is EMS server running.

  Throws:
    `MicroAgentException`

### getNumConnections

    public CompositeData getNumConnections()
                                    throws MicroAgentException

  Get number of connections from EMS server.

  Throws:
    `MicroAgentException`

### getServerInfo

    public CompositeData getServerInfo()
                                throws MicroAgentException

  Get general info about EMS server.

  Throws:
    `MicroAgentException`

### getConnections

    public TabularData getConnections()
                               throws MicroAgentException

  List connections to EMS server.

  Throws:
    `MicroAgentException`

### getUsers

    public TabularData getUsers()
                         throws MicroAgentException

  List users of EMS server.

  Throws:
    `MicroAgentException`

### getQueues

    public TabularData getQueues(java.lang.String regexp)
                          throws MicroAgentException

  List queues on EMS server.

  Throws:
    `MicroAgentException`

### getRoutes

    public TabularData getRoutes()
                          throws MicroAgentException

  List routes configured on EMS server.

  Throws:
    `MicroAgentException`

### getTopics

    public TabularData getTopics(java.lang.String regexp)
                          throws MicroAgentException

  List topics on EMS server.

  Throws:
    `MicroAgentException`

### getDurables

    public TabularData getDurables(java.lang.String regexp)
                            throws MicroAgentException

  Deprecated. Because TibjmsAdmin.getDurables() is deprecated. Use getConsumers instead.

  List durables on EMS server.

  Throws:
    `MicroAgentException`

### getConsumers

    public TabularData getConsumers()
                             throws MicroAgentException

  List consumers on EMS server.

  Throws:
    `MicroAgentException`

### getProducers

    public TabularData getProducers()
                             throws MicroAgentException

  List producers on EMS server

  Throws:
    `MicroAgentException`

### getListenPorts

    public TabularData getListenPorts()
                               throws MicroAgentException

  List ports on EMS server.

  Throws:
    `MicroAgentException`

### getCMLedgerInfo

    public TabularData getCMLedgerInfo(java.lang.String transport,
                                       java.lang.String subjPattern)
                                throws MicroAgentException

  List CM ledger statistics on EMS server.

  Throws:
    `MicroAgentException`

### getTransports

    public TabularData getTransports()
                              throws MicroAgentException

  List Transport statistics on EMS server

  Throws:
    `MicroAgentException`

### getTransport

    public CompositeData getTransport(java.lang.String name)
                               throws MicroAgentException

  List Transport statistics on EMS server

  Throws:
    `MicroAgentException`

### getDbStores

    public TabularData getDbStores()
                            throws MicroAgentException

  List database stores on EMS server

  Throws:
    `MicroAgentException`

### getFileStores

    public TabularData getFileStores()
                              throws MicroAgentException

  List file stores on EMS server

  Throws:
    `MicroAgentException`

### getStores

    public TabularData getStores()
                          throws MicroAgentException

  List stores on EMS server

  Throws:
    `MicroAgentException`

### getChannels

    public TabularData getChannels()
                            throws MicroAgentException

  List multicast channel statistics on EMS server

  Throws:
    `MicroAgentException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| TIBCO Enterprise Message Service
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © TIBCO Software Inc. All rights reserved